C Series IP PhonesProduct Brochure
C60U/C60UP
Entry-level for SMEs
Product Details

Product Overview
The C60 series IP phones feature a 132x64 resolution LCD screen and are designed for easy installation, simple configuration, and user-friendly operation. They support 2 SIP accounts and 5-way conferencing. When paired with an IPPBX, they deliver a wide range of business capabilities.
Dingxin Tongda C60U/C60UP is an entry-level, high-value multi-function HD IP phone. It offers ease of use and exceptional value, making it suitable for any environment. With superior HD voice quality and a rich set of telephony features, it fully meets the needs of small and medium-sized businesses, call centers, and industry-specific users.
Other models in the same series
Key Features
- 132x64 Black-and-White LCD Display (2.3 inches)
- SIP v1 (RFC2543), v2 (RFC3261)
- 1x RJ9 Controller/Headset Jack
Technical Features
- Short Message, Voicemail, Message Waiting Indicator (MWI)
- 132x64 Black-and-White LCD Display (2.3 inches)
- SIP v1 (RFC2543), v2 (RFC3261)
- STUN, session refresh (RFC4028)
- Hold, Mute, Do Not Disturb
- Upgrade software via web
- 1x RJ9 Controller/Headset Jack
- Configurable Ring Mode
- Configure Backup/Restore
- Busy Transfer / Consultation Transfer
- 2 SIP accounts
- IP Address Call
- Redial, Callback
- Wall-mountable
Technical Specifications (1Item
- DTMF Mode
- In-Band, RFC2833, and SIP INFO